package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.chat.GroupChatOwnerDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.OwnerSearchQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatOwner;

/**
 * 
 * @ClassName: TabHaobanGroupChatOwnerMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年12月04日 10:08:25
 * @Modify
 * @CopyRight 
 */
public interface GroupChatOwnerMapper {

    public int insert(TabGroupChatOwner owner);

    public TabGroupChatOwner selectByStaffId(@Param("staffId") String staffId);

    public int updateChatCount(@Param("staffId") String staffId, @Param("chatCount") int chatCount);

    public List<GroupChatOwnerDTO> listOwner(OwnerSearchQDTO qdto);
    
    public List<GroupChatOwnerDTO> listOwnerForStatistic(@Param("wxEnterpriseId")String wxEnterpriseId , @Param("startItem") int startItem,
            @Param("pageSize") int pageSize);

    /**
     * 
    * @Title: dimissionOwnerList
    * @Description: 查询处理离职的群主
    * @author xugh
    * @return
    * @throws
     */
    public List<GroupChatOwnerDTO> dimissionOwnerList();
}